## org.eclipse.datatools.sqltools.result.internal.core
Interface IResultManager

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  ResultManager

    public interface IResultManager

extends java.io.Serializable

Manages all results.

Author:
  Dafan Yang

Method Summary
`void` `addResultManagerListener(IResultManagerListener listener)` Adds listener
`void` `fireAdded(IResultInstance instance)` Notifies all the listeners of this result instance added event
`void` `fireAppended(IResultInstance instance, ResultItem r, int index)` Notifies all the listeners of this append event
`void` `fireInstanceReset(IResultInstance instance)` Notifies all the listeners of this instance reset event
`void` `fireParametersShow(IResultInstance instance, java.util.List params)` Notifies all the listeners of this parameters show event
`void` `fireStatusUpdated(IResultInstance instance)` Notifies all the listeners of this status change event
`IResultInstance[]` `getAllResults()` Returns all currently available result instances.
`IResultInstance` `getInstance(OperationCommand cmd)` Given the OperationCommand, returns the instance.
`void` `removeAllFinished()` Removes all finished result instance.
`void` `removeResultInstance(IResultInstance instance)` Removes the specified result instance.
`void` `removeResultInstances(IResultInstance[] instances)` Removes the specified result instances.
`void` `removeResultManagerListener(IResultManagerListener listener)` Removes listener

Method Detail

### getAllResults

    IResultInstance[] getAllResults()

  Returns all currently available result instances.

  Returns:
    a list of `IResultInstance` instances

### removeResultInstance

    void removeResultInstance(IResultInstance instance)

  Removes the specified result instance.

  Parameters:
    `instance` - the result instance

### removeResultInstances

    void removeResultInstances(IResultInstance[] instances)

  Removes the specified result instances.

  Parameters:
    `instances` - the result instances

### addResultManagerListener

    void addResultManagerListener(IResultManagerListener listener)

  Adds listener

  Parameters:
    `listener` - the listener

### removeResultManagerListener

    void removeResultManagerListener(IResultManagerListener listener)

  Removes listener

  Parameters:
    `listener` - the listener

### removeAllFinished

    void removeAllFinished()

  Removes all finished result instance.

### getInstance

    IResultInstance getInstance(OperationCommand cmd)

  Given the OperationCommand, returns the instance. The returned instance can be a nested result (sub-result)

  Parameters:
    `cmd` - the operation command
  Returns:
    the result instance

### fireAdded

    void fireAdded(IResultInstance instance)

  Notifies all the listeners of this result instance added event

  Parameters:
    `instance` - the result instance

### fireAppended

    void fireAppended(IResultInstance instance,
                      ResultItem r,
                      int index)

  Notifies all the listeners of this append event

  Parameters:
    `instance` - the result instance
    `r` - the result item
    `index` - the index of this item

### fireStatusUpdated

    void fireStatusUpdated(IResultInstance instance)

  Notifies all the listeners of this status change event

  Parameters:
    `instance` - the result instance

### fireInstanceReset

    void fireInstanceReset(IResultInstance instance)

  Notifies all the listeners of this instance reset event

  Parameters:
    `instance` - the result instance

### fireParametersShow

    void fireParametersShow(IResultInstance instance,
                            java.util.List params)

  Notifies all the listeners of this parameters show event

  Parameters:
    `instance` - the result instance
    `params` - the `Parameter` instances list